<?php
/** 
* User-Extension of localPageTree class.
*
* @authorStephane Schitter <stephane@frozenkiwi.net>
*/

class ux_localPageTree extends localPageTree {

	function wrapIcon($icon,&$row)	{
		// Call the real wrapTitle function in the parent class:
		$content = parent::wrapIcon($icon,$row);
		// Process the output to add the drag drop functions
		return '<span onmousedown="return drag('.$row['uid'].')" onmouseup="return drop('.$row['uid'].')">'.$content.'</span>';
	}
		
	function wrapTitle($title,$row,$bank=0)	{
		// Call the real wrapTitle function in the parent class:
		$content = parent::wrapTitle($title,$row,$bank);
		// Process the output to add the drag drop functions
		return '<span onmousedown="return drag('.$row['uid'].')" onmouseup="return drop('.$row['uid'].')">'.$content.'</span>';
	}
}

/** 
* User-Extension of SC_alt_db_navframe class.
*
* @authorStephane Schitter <stephane@frozenkiwi.net>
*/

class ux_SC_alt_db_navframe extends SC_alt_db_navframe {
	
	function init()
	{
		parent::init();
		$extConf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['ss_dragdrop']);
		// the $negativeSign variable will either be empty ("") or be a minus sign ("-") depending on the extConf variable
		// value, and the effect of this is to either get tce_db.php?cmd[pages] to move the pages as subpages into the
		// destination or to get the pages moved after the one pointed by the destination (see Typo3 API doc. for more
		// details)
		$negativeSign = $extConf["enable."]["dropCreatesSubpages"]==1?"":"-";
		
		$this->doc->JScode.="<script type='text/javascript'>
			var drag_id = null;
			function drag(id)
			{
				drag_id = id;
				return false;
			}
			function drop(id)
			{
				if (drag_id != id)
					document.location='tce_db.php?cmd[pages]['+drag_id+'][move]=".$negativeSign."'+id+'&prErr=1&uPT=1&vC=".$GLOBALS['BE_USER']->veriCode()."&redirect='+document.location;
				return false;
			}
			</script>
			";
	}
}

?>